Skip to main content

Correction de "Visual Studio 2005 SP1 nécessite une mise à jour pour Windows Vista"

Correction de "Visual Studio 2005 SP1 nécessite une mise à jour pour Windows Vista"

Geoffrey Carr

J’avais entendu dire que Visual Studio 2005 avait des problèmes de compatibilité avec Windows Vista, je n’étais donc pas surpris de l’attribution de ce message d’erreur lorsque je tentais de le lancer pour la première fois. Pour résoudre ce message d'erreur particulier, vous devez installer la mise à jour SP1, qui est à peu près le service pack du service pack, je pense.

Vous pouvez télécharger la mise à jour SP1 ici: http://go.microsoft.com/?linkid=6366078

Après l'installation de cette mise à jour, le message d'erreur suivant: «Les autorisations d'administrateur sont recommandées pour l'exécution de Visual Studio 2005 SP1» et l'invitation à utiliser l'option Exécuter en tant qu'administrateur lors du lancement de Visual Studio.

Après quelques recherches, vous avez plusieurs options:

  • Exécutez Visual Studio en tant qu'administrateur (votre meilleur choix est simplement de changer le raccourci pour qu'il soit toujours exécuté en tant qu'administrateur.) Vous aurez toujours des erreurs de cette façon.
  • Exécutez Visual Studio en tant qu'utilisateur normal et ne l'ouvrez qu'en tant qu'administrateur si vous obtenez une erreur spécifique nécessitant un accès administrateur.
  • Décochez simplement la case.

Conseil: Si vous essayez de déboguer des projets Web, vous devez vous assurer d’activer l’option Ajouter / Supprimer des composants Windows du Panneau de configuration et d’installer l’option Compatibilité IIS6 avec IIS7, sinon vous n’aurez pas beaucoup de chance.

Dans l’ensemble, Visual Studio 2005 n’est tout simplement pas très compatible avec Vista. C’est frustrant, mais c’est la vie.

Link
Plus
Send
Send
Pin